%define oname	FileRunner

Summary:	A simple file manager with built-in FTP support
Name:		filerunner
Version:	10.12.28.23
Release:	%mkrel 1
License:	GPLv3+
Group:		File tools
URL:		http://sourceforge.net/projects/filerunner/
Source0:	http://downloads.sourceforge.net/project/%{name}/fr-10.12.28.23.tar.gz
BuildArch:	noarch
BuildRequires:	imagemagick
BuildRequires:	tcl-devel
Requires:	tcl
Requires:	tk
Provides:	%{oname} = %{version}-%{release}
Obsoletes:	%{oname} <= 2.5.1

%description
FileRunner is a file manager for Unix. It is simple and efficient and has
a built-in FTP client. New and improved from a FileRunner of long ago.

%prep
%setup -q -c %{name}-%{version}

# http://qa.mandriva.com/show_bug.cgi?id=22193
find -type f | xargs perl -pi -e "s|\\\$glob\(doclib_fr\)|%{_docdir}/%{name}|g"

%build
#nothing

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{tcl_sitelib}/%{oname}/bitmaps
mkdir -p %{buildroot}%{_bindir}

cp -a bitmaps/* %{buildroot}%{tcl_sitelib}/%{oname}/bitmaps
cp -a *.tcl %{buildroot}%{tcl_sitelib}/%{oname}
cp -a icon.xpm %{buildroot}%{tcl_sitelib}/%{oname}
cp -a tclIndex %{buildroot}%{tcl_sitelib}/%{oname}

install -m755 fr %{buildroot}%{tcl_sitelib}/%{oname}/fr
install -m755 frftp %{buildroot}%{tcl_sitelib}/%{oname}/frftp

ln -s %{tcl_sitelib}/%{oname}/fr %{buildroot}%{_bindir}/fr
ln -s %{_docdir}/%{name}/HISTORY %{buildroot}%{tcl_sitelib}/%{oname}/HISTORY

# Icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps

convert icon.xpm -resize 16x16  %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
convert icon.xpm -resize 32x32  %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert icon.xpm -resize 48x48  %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=%{summary}
Exec=fr
Icon=%{name}
Terminal=false
Type=Application
Categories=Network;FileTransfer;
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING FAQ HISTORY README *.txt
%{tcl_sitelib}/%{oname}
%{_bindir}/fr
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop


%changelog
* Wed Jul 06 2011 wally <wally> 10.12.28.23-1.mga2
+ Revision: 119321
- new version 10.12.28.23 (from new upstream maintainer)
- lowercase package name
- tag package as noarch
- clean .spec

* Wed Jul 06 2011 fwang <fwang> 2.5.1-20.mga2
+ Revision: 119174
- rebuild for new tcl

* Tue Mar 08 2011 ennael <ennael> 2.5.1-19.mga1
+ Revision: 66646
- fix desktop file name

* Tue Mar 08 2011 ennael <ennael> 2.5.1-18.mga1
+ Revision: 66570
- clean spec file
- imported package FileRunner

